use super::super::data_types::*;
pub const CKF_ARRAY_ATTRIBUTE: CK_ULONG = 0x40000000;
pub const CKA_CLASS: CK_ULONG = 0x00000000;
pub const CKA_TOKEN: CK_ULONG = 0x00000001;
pub const CKA_PRIVATE: CK_ULONG = 0x00000002;
pub const CKA_LABEL: CK_ULONG = 0x00000003;
pub const CKA_APPLICATION: CK_ULONG = 0x00000010;
pub const CKA_VALUE: CK_ULONG = 0x00000011;
pub const CKA_OBJECT_ID: CK_ULONG = 0x00000012;
pub const CKA_CERTIFICATE_TYPE: CK_ULONG = 0x00000080;
pub const CKA_ISSUER: CK_ULONG = 0x00000081;
pub const CKA_SERIAL_NUMBER: CK_ULONG = 0x00000082;
pub const CKA_AC_ISSUER: CK_ULONG = 0x00000083;
pub const CKA_OWNER: CK_ULONG = 0x00000084;
pub const CKA_ATTR_TYPES: CK_ULONG = 0x00000085;
pub const CKA_TRUSTED: CK_ULONG = 0x00000086;
pub const CKA_CERTIFICATE_CATEGORY: CK_ULONG = 0x00000087;
pub const CKA_JAVA_MIDP_SECURITY_DOMAIN: CK_ULONG = 0x00000088;
pub const CKA_URL: CK_ULONG = 0x00000089;
pub const CKA_HASH_OF_SUBJECT_PUBLIC_KEY: CK_ULONG = 0x0000008A;
pub const CKA_HASH_OF_ISSUER_PUBLIC_KEY: CK_ULONG = 0x0000008B;
pub const CKA_CHECK_VALUE: CK_ULONG = 0x00000090;
pub const CKA_KEY_TYPE: CK_ULONG = 0x00000100;
pub const CKA_SUBJECT: CK_ULONG = 0x00000101;
pub const CKA_ID: CK_ULONG = 0x00000102;
pub const CKA_SENSITIVE: CK_ULONG = 0x00000103;
pub const CKA_ENCRYPT: CK_ULONG = 0x00000104;
pub const CKA_DECRYPT: CK_ULONG = 0x00000105;
pub const CKA_WRAP: CK_ULONG = 0x00000106;
pub const CKA_UNWRAP: CK_ULONG = 0x00000107;
pub const CKA_SIGN: CK_ULONG = 0x00000108;
pub const CKA_SIGN_RECOVER: CK_ULONG = 0x00000109;
pub const CKA_VERIFY: CK_ULONG = 0x0000010A;
pub const CKA_VERIFY_RECOVER: CK_ULONG = 0x0000010B;
pub const CKA_DERIVE: CK_ULONG = 0x0000010C;
pub const CKA_START_DATE: CK_ULONG = 0x00000110;
pub const CKA_END_DATE: CK_ULONG = 0x00000111;
pub const CKA_MODULUS: CK_ULONG = 0x00000120;
pub const CKA_MODULUS_BITS: CK_ULONG = 0x00000121;
pub const CKA_PUBLIC_EXPONENT: CK_ULONG = 0x00000122;
pub const CKA_PRIVATE_EXPONENT: CK_ULONG = 0x00000123;
pub const CKA_PRIME_1: CK_ULONG = 0x00000124;
pub const CKA_PRIME_2: CK_ULONG = 0x00000125;
pub const CKA_EXPONENT_1: CK_ULONG = 0x00000126;
pub const CKA_EXPONENT_2: CK_ULONG = 0x00000127;
pub const CKA_COEFFICIENT: CK_ULONG = 0x00000128;
pub const CKA_PUBLIC_KEY_INFO: CK_ULONG = 0x00000129;
pub const CKA_PRIME: CK_ULONG = 0x00000130;
pub const CKA_SUBPRIME: CK_ULONG = 0x00000131;
pub const CKA_BASE: CK_ULONG = 0x00000132;
pub const CKA_PRIME_BITS: CK_ULONG = 0x00000133;
pub const CKA_SUBPRIME_BITS: CK_ULONG = 0x00000134;
pub const CKA_SUB_PRIME_BITS: CK_ULONG = CKA_SUBPRIME_BITS;
pub const CKA_VALUE_BITS: CK_ULONG = 0x00000160;
pub const CKA_VALUE_LEN: CK_ULONG = 0x00000161;
pub const CKA_EXTRACTABLE: CK_ULONG = 0x00000162;
pub const CKA_LOCAL: CK_ULONG = 0x00000163;
pub const CKA_NEVER_EXTRACTABLE: CK_ULONG = 0x00000164;
pub const CKA_ALWAYS_SENSITIVE: CK_ULONG = 0x00000165;
pub const CKA_KEY_GEN_MECHANISM: CK_ULONG = 0x00000166;
pub const CKA_MODIFIABLE: CK_ULONG = 0x00000170;
pub const CKA_DESTROYABLE: CK_ULONG = 0x00000172;
pub const CKA_ECDSA_PARAMS: CK_ULONG = 0x00000180;
pub const CKA_EC_PARAMS: CK_ULONG = 0x00000180;
pub const CKA_EC_POINT: CK_ULONG = 0x00000181;
pub const CKA_SECONDARY_AUTH: CK_ULONG = 0x00000200;
pub const CKA_AUTH_PIN_FLAGS: CK_ULONG = 0x00000201;
pub const CKA_ALWAYS_AUTHENTICATE: CK_ULONG = 0x00000202;
pub const CKA_WRAP_WITH_TRUSTED: CK_ULONG = 0x00000210;
pub const CKA_WRAP_TEMPLATE: CK_ULONG = CKF_ARRAY_ATTRIBUTE | 0x00000211;
pub const CKA_UNWRAP_TEMPLATE: CK_ULONG = CKF_ARRAY_ATTRIBUTE | 0x00000212;
pub const CKA_OTP_FORMAT: CK_ULONG = 0x00000220;
pub const CKA_OTP_LENGTH: CK_ULONG = 0x00000221;
pub const CKA_OTP_TIME_INTERVAL: CK_ULONG = 0x00000222;
pub const CKA_OTP_USER_FRIENDLY_MODE: CK_ULONG = 0x00000223;
pub const CKA_OTP_CHALLENGE_REQUIREMENT: CK_ULONG = 0x00000224;
pub const CKA_OTP_TIME_REQUIREMENT: CK_ULONG = 0x00000225;
pub const CKA_OTP_COUNTER_REQUIREMENT: CK_ULONG = 0x00000226;
pub const CKA_OTP_PIN_REQUIREMENT: CK_ULONG = 0x00000227;
pub const CKA_OTP_USER_IDENTIFIER: CK_ULONG = 0x0000022A;
pub const CKA_OTP_SERVICE_IDENTIFIER: CK_ULONG = 0x0000022B;
pub const CKA_OTP_SERVICE_LOGO: CK_ULONG = 0x0000022C;
pub const CKA_OTP_SERVICE_LOGO_TYPE: CK_ULONG = 0x0000022D;
pub const CKA_OTP_COUNTER: CK_ULONG = 0x0000022E;
pub const CKA_OTP_TIME: CK_ULONG = 0x0000022F;
pub const CKA_GOSTR3410_PARAMS: CK_ULONG = 0x00000250;
pub const CKA_GOSTR3411_PARAMS: CK_ULONG = 0x00000251;
pub const CKA_GOST28147_PARAMS: CK_ULONG = 0x00000252;
pub const CKA_HW_FEATURE_TYPE: CK_ULONG = 0x00000300;
pub const CKA_RESET_ON_INIT: CK_ULONG = 0x00000301;
pub const CKA_HAS_RESET: CK_ULONG = 0x00000302;
pub const CKA_PIXEL_X: CK_ULONG = 0x00000400;
pub const CKA_PIXEL_Y: CK_ULONG = 0x00000401;
pub const CKA_RESOLUTION: CK_ULONG = 0x00000402;
pub const CKA_CHAR_ROWS: CK_ULONG = 0x00000403;
pub const CKA_CHAR_COLUMNS: CK_ULONG = 0x00000404;
pub const CKA_COLOR: CK_ULONG = 0x00000405;
pub const CKA_BITS_PER_PIXEL: CK_ULONG = 0x00000406;
pub const CKA_CHAR_SETS: CK_ULONG = 0x00000480;
pub const CKA_ENCODING_METHODS: CK_ULONG = 0x00000481;
pub const CKA_MIME_TYPES: CK_ULONG = 0x00000482;
pub const CKA_MECHANISM_TYPE: CK_ULONG = 0x00000500;
pub const CKA_REQUIRED_CMS_ATTRIBUTES: CK_ULONG = 0x00000501;
pub const CKA_DEFAULT_CMS_ATTRIBUTES: CK_ULONG = 0x00000502;
pub const CKA_SUPPORTED_CMS_ATTRIBUTES: CK_ULONG = 0x00000503;
pub const CKA_ALLOWED_MECHANISMS: CK_ULONG = CKF_ARRAY_ATTRIBUTE | 0x00000600;
pub const CKA_VENDOR_DEFINED: CK_ULONG = 0x80000000;
